part of '../../internals.dart';

class _ArPSLanguageDetails extends QudsLanguageDetails {
  @override
  String get abbreviatedName => 'ع';

  @override
  String get countryCode => 'PS';

  @override
  String get langCode => 'ar';

  @override
  TextDirection get textDirection => TextDirection.rtl;

  @override
  String get langName => 'العربية';

  @override
  String get countryName => 'فلسطين';

  @override
  Map<String, String> get dictionary => {
        'Back': 'رجوع',
        'Save': 'حفظ',
        'Current Language': 'اللغة الحالية',
        'Change Language': 'تغيير اللغة',
        'Select language': 'اختيار اللغة',
        'Exit': 'خروج',
        'Toggle Theme': 'تبديل الثيم',
        'As Platform': 'مثل النظام',
        'Select Theme': 'اختيار الثيم',
        'Light': 'فاتح',
        'Dark': 'غامق',
        'Open navigation menu': 'فتح القائمة الجانبية',
        'Close': 'إغلاق',
        'Delete': 'حذف',
        'Remove': 'إزالة',
        'More': 'أكثر',
        'Next month': 'الشهر التالي',
        'Previous month': 'الشهر السابق',
        'Next page': 'الصفحةالتالية',
        'Previous page': 'الصفحة السابقة',
        'First page': 'الصفحة الأولى',
        'Last page': 'الصفحة الأخيرة',
        'Show menu': 'إظهار القائمة',
        'Navigation menu': 'قائمة التنقل',
        'Popup menu': 'قائمة عائمة',
        'Dialog': 'حوار',
        'Alert': 'تحذير',
        'Search': 'بحث',
        'Licenses': 'التراخيص',
        'CANCEL': 'إلغاء',
        'CLOSE': 'إغلاق',
        'CONTINUE': 'متابعة',
        'Copy': 'نسخ',
        'Cut': 'قص',
        'OK': 'موافق',
        'Paste': 'لصق',
        'Select all': 'تحديد الكل',
        'VIEW LICENSES': 'عرض التراخيص',
        'AM': 'ص',
        'PM': 'م',
        'Select hours': 'اختيار الساعات',
        'Select minutes': 'اختيار الدقائق',
        'Dismiss': 'رفض',
        'Signed in': 'تم تسجيل الدخول',
        'Hide accounts': 'إخفاء الحسابات',
        'Show accounts': 'إظهار الحسابات',
        'Move up': 'انتقال لأعلي',
        'Move down': 'انتقال لأسفل',
        'Move left': 'انتقال لليسار',
        'Move right': 'انتقال لليمين',
        'Move to the end': 'انتقال للنهاية',
        'Move to the start': 'انتقال للبداية',
        'Collapse': 'تقليص',
        'Expand': 'توسيع',
        'Refresh': 'تحديث',
        'Select year': 'اختر سنة',
        'Date': 'التاريخ',
        'Date Range': 'نطاق التاريخ',
        'Enter Date': 'أدخل التاريخ',
        'Start Date': 'تاريخ البداية',
        'End Date': 'تاريخ النهاية',
        'Invalid date format.': 'صيغة التاريخ غير صالحة.',
        'Invalid date range.': 'نطاق التاريخ غير صالح.',
        'Out of range.': 'خارج النطاق.',
        'SAVE': 'حفظ',
        'SELECT DATE': 'اختيار التاريخ',
        'SELECT RANGE': 'اختيار النطاق',
        'Switch to calendar': 'التبديل للرزنامة',
        'Switch to input': 'التبديل للإدخال',
        'SELECT TIME': 'اختيار الوقت',
        'ENTER TIME': 'أدخل الوقت',
        'Hour': 'الساعة',
        'Minute': 'الدقيقة',
        'Enter a valid time': 'أدخل وقت صالح',
        'Switch to dial picker mode': 'التبديل لوضع الاختيار',
        'Switch to text input mode': 'التبديل لوضع الإدخال',
        //Full name monthes
        'January': 'يناير',
        'February': 'فبراير',
        'March': 'مارس',
        'April': 'أبريل',
        'May': 'مايو',
        'June': 'يونيو',
        'July': 'يوليو',
        'August': 'أغسطس',
        'September': 'سبتمبر',
        'October': 'أكتوبر',
        'November': 'نوفمبر',
        'December': 'ديسمبر',
        //Abbreviated months (3 letters)
        'Jan_abb': 'ينا',
        'Feb_abb': 'فبر',
        'Mar_abb': 'مار',
        'Apr_abb': 'أبر',
        'May_abb': 'ماي',
        'Jun_abb': 'يون',
        'Jul_abb': 'يول',
        'Aug_abb': 'أغس',
        'Sep_abb': 'سبت',
        'Oct_abb': 'أكت',
        'Nov_abb': 'نوف',
        'Dec_abb': 'ديس',
        //Full name days
        'Monday': 'الاثنين',
        'Tuesday': 'الثلاثاء',
        'Wednesday': 'الأربعاء',
        'Thursday': 'الخميس',
        'Friday': 'الجمعة',
        'Saturday': 'السبت',
        'Sunday': 'الأحد',
        //Abbreviated days (1-2 letters)
        'Sun_day_abb_1': 'أح',
        'Mon_day_abb_1': 'اث',
        'Tue_day_abb_1': 'ثل',
        'Wed_day_abb_1': 'أر',
        'Thu_day_abb_1': 'خم',
        'Fri_day_abb_1': 'جم',
        'Sat_day_abb_1': 'سب',
        //Abbreviated days (3 letters)
        'Mon': 'اثن',
        'Tue': 'ثلا',
        'Wed': 'أرب',
        'Thu': 'خمس',
        'Fri': 'جمع',
        'Sat': 'سبت',
        'Sun': 'أحد',
        //....
        'No characters remaining': 'لم يتبقى أحرف',
        '1 character remaining': 'متبقي حرف واحد',
        'characters remaining': 'أحرف متبقية',
        //...
        'No items selected': 'لم يتم تحديد عناصر',
        '1 item selected': 'عنصر واحد محدد',
        'items selected': 'عناصر محددة',
        //...
        'No licenses.': 'لا تراخيص',
        '1 license.': 'ترخيص واحد',
        'licenses.': 'تراخيص.',
        //...
        'Rows per page:': 'السجلات بكل صفحة'
      };
}
